# $Revision: 1.40 $, $Date: 2002/10/14 14:52:45 $
Summary:	A utility for removing files based on when they were last accessed
Summary(de):	Utility zum Entfernen von Dateien, basierend auf ihrer Zugriffszeit
Summary(es):	Limpia archivos en directorios basado en sus edades
Summary(fr):	Nettoie les fichiers dans les rpertoires en fonction de leur age
Summary(pl):	Narzdzie kasujce pliki w oparciu o czas ostatniego dostpu
Summary(pt_BR):	Limpa arquivos em diretrios baseado em suas idades
Summary(ru):	       
Summary(uk):	̦  ̦  Ҧ Ԧ  
Name:		tmpwatch
Version:	2.8.4
Release:	5
License:	GPL
Group:		Applications/System
# ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time. Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp). Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%description -l de
Das tmpwatch-Utility sucht rekursiv durch angegebene Verzeichnisse und
entfernt Dateien, die in einer angegebenen Zeitspanne nicht benutzt
wurden. Tmpwatch wird normalerweise benutzt, um Verzeichnisse
aufzurumen, in denen temporre Dateien gelagert werden (z.B. /tmp).
Tmpwatch ignoriert symlinks, wechselt kein Filesystem und entfernt nur
normale Dateien und leere Verzeichnisse.

%description -l es
Este paquete nos ofrece un programa que puede ser usado para limpiar
directorios. Peridicamente remueve el directorio (ignorando symlinks)
y elimina archivos que no fueron accedidos en un tiempo especificado
por el usuario.

%description -l fr
Ce paquetage offre un programme permettant de nettoyer les
rpertoires. Il recherche rcursivement dans le rpertoire (en
ignorant les liens symboliques) et supprime les fichiers qui n'ont pas
t accds depuis une priode donne.

%description -l pl
W pakiecie znajduje si program, ktry czyci katalogi tmp oraz catman
z plikw nie odczytywanych przez okrelony czas.

%description -l pt_BR
Este pacote oferece um programa que pode ser usado para limpar
diretrios. Ele periodicamente vasculha o diretrio (ignorando
symlinks) e remove arquivos que no foram acessados em um tempo
especificado pelo usurio.

%description -l tr
Bu paket, dizinleri temizleyen bir program ierir. Simgesel balar
gznne almadan dizinleri rekrsif olarak arar ve kullancnn
nceden belirledii bir srede eriilmemi olanlar siler.

%description -l ru
 tmpwatch      , 
     .   
 ,    (, /tmp). 
  ,       
      ( ) .

%description -l uk
̦ tmpwatch  Ѥ    , 
     .  դ 
 Ǧ,  Ҧ צ  (, /tmp). 
̦ դ ̦,    ۦ צ  
Ѥ Ԧ Φ   Φ ( æΦ) .

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%{__libtoolize}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/cron.daily

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo '%{_sbindir}/tmpwatch 240 /tmp /var/cache/man/{,*,X11R6,X11R6/*,local,local/*}/cat?' \
	> $RPM_BUILD_ROOT/etc/cron.daily/tmpwatch
echo '%{_sbindir}/tmpwatch 720 /var/tmp' >> $RPM_BUILD_ROOT/etc/cron.daily/tmpwatch

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/tmpwatch
%attr(750,root,root) %config %verify(not size mtime md5) /etc/cron.daily/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tmpwatch.spec,v $
Revision 1.40  2002/10/14 14:52:45  kloczek
- updated to 2.8.4 and merged translations from Conectiva.

Revision 1.39  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.38  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.37  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.36  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.35  2002/03/12 14:19:20  kloczek
- bump release to 2 and merge translations ftom KSI.

Revision 1.34  2002/03/11 15:31:46  misiek
- SECURITY FIX: UPDATE IMMEDIATELY! (2 years old bug in PLD; yeah, great - fount by cliph)

Revision 1.33  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/03/22 03:43:26  kloczek
- release 3: remove files also from /var/tmp.

Revision 1.30  2000/12/07 00:01:39  kloczek
- updated to 2.6.1,
- added ac_am patch with complet autoconf/automake/libtool suit for
  building tmpwatch.

Revision 1.29  2000/09/09 22:36:07  kloczek
- spec adapterized.

Revision 1.28  2000/09/09 20:58:51  kravietz
- release++

Revision 1.27  2000/09/09 20:58:38  kravietz
- added DOS fix in tmpwatch-dos.patch

Revision 1.26  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.25  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.24  2000/05/03 18:55:45  kloczek
- release 2,
- watch on all cat? directories also non english man pages.

Revision 1.23  2000/05/02 21:23:28  baggins
- fixed version, minor cleanup

Revision 1.22  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.20  2000/02/09 23:53:50  kloczek
- updated ro 2.1,
- spec adapterized.

Revision 1.19  2000/02/07 18:18:46  baggins
- gzip man page

Revision 1.18  1999/12/05 10:07:46  kloczek
- release 3,
- new %description and Summary.

Revision 1.17  1999/09/29 16:55:47  kloczek
- updated to 2.0.

Revision 1.16  1999/07/15 23:15:09  pius
- cosmetic changes.

Revision 1.15  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Artur Frysiak <wiget@pld.org.pl>
  [1.7-2]
- rebuild in new evn.
- based on RH spec
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>
- start at RH spec file.
